@font-face {
    font-family: Georgia, 'Times New Roman', Times, serif, Helvetica, sans-serif;
    src: local("Arial")
}

body {
    font-family: Georgia, 'Times New Roman', Times, serif, sans-serif;
    display: grid;
    grid-template-columns: 1fr 5fr;
    cursor: url(./images/cow-face-emoji.png), progress;
    background-color: rgba(242, 216, 242, 0.724);
    /*background-image: url(./images/palm_bg.jpeg);*/
    background-attachment: fixed;
    margin: 0;
}

h1,
h2,
li,
.title {
    font-family: Georgia, 'Times New Roman', Times, serif, sans-serif;
    font-weight: normal;
}

.title {
    font-weight: normal;
    font-size: 60px;
    position: absolute;
    top: -20px;
}

.title-padding {
    padding: 1rem;
}

nav{
    background-color: rgb(255, 251, 231); 
}

nav>ul {
    outline: 2px solid #000000; /* Adds a solid outline with color and thickness */
    outline-offset: 5px; /* Adds space between the outline and the nav element */
    padding: 10px; /* Optional: adds some padding inside the nav element */
    list-style: none;
    position: fixed;
}

nav>ul>li {
    padding: 1.5rem 1rem;
    font-size: 22px;
    font-weight: 600;
}

nav>ul>li:hover {
    text-decoration: underline;
    cursor: pointer;
}

main {
    padding: 0 2rem;
}

.main-image {
    width: 100%;
    padding-bottom: 2rem;
}

.sub-image {
    border: 5px solid rgb(255, 251, 231); ;
    border-radius: 4px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
  }

.container {
    width: 100%;
    padding-top: 2rem;
    padding-bottom: 2rem;
    background-color: rgb(255, 251, 231); 
    /* background-color: rgba(255, 238, 140, 0.55); */

    text-align: center;
    margin-bottom: 2rem;
}

.locationcontainer {
    background-image: url('./images/barn.jpeg'); /* Replace with your image URL */
    background-size: cover; /* Makes the background image cover the entire container */
    background-repeat: no-repeat; /* Prevents the image from repeating */
    background-position: center; /* Centers the image in the container */
    padding: 20px; /* Adds some padding around the content */
    color: #ffffff; /* Text color to contrast against the background image */
    width: 100%;
    padding-top: 2rem;
    padding-bottom: 2rem;
    background-color: rgba(213, 214, 201, 0.55);
    text-align: center;
    margin-bottom: 2rem;
}


.date-item {
    font-size: 18px;
}

.big {
    font-size: 36px;
}

.link {
    color: black;
}

.link:hover {
    color: green;
    cursor: pointer;
}

.form-link-container {
    padding: 1rem;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

#RSVP {
    margin: 0;
}

.pineapple {
    width: 40px;
    margin: 0 1rem 0 1rem;
}

.left-pineapple {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

.event-info-container {
    padding: 0px 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.event-text {
    line-height: 1.5;
    max-width: 40rem;
}

.question {
    font-weight: bold;
}

#travel {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#travel p {
    max-width: 40rem;
    line-height: 1.5;
    font-size: 18px;
}

#travel code {
    background: #F8F9F9;
    padding: 4px 6px;
    border-radius: 5px;
}

/* Mobile Styles */
@media (max-width: 1250px) {
    body {
        grid-template-columns: 100%;
    }

    nav {
        display: flex;
        justify-content: center;
    }

    nav>ul {
        position: fixed;
        display: flex;
        margin: 0;
        padding: 0 20px;
        background-color: rgb(255, 251, 231); 
        border-radius: 5px;
    }

    nav>ul>li {
        padding: 1rem 0.3rem;
        font-size: 20px;
    }

    .title {
        position: relative;
        top: 70px;
        margin-top: 0;
    }

    .title-padding {
        display: none;
    }
}
